package pack;

import javax.persistence.EntityManager;

import org.hibernate.boot.MetadataSources;
import org.hibernate.boot.registry.StandardServiceRegistryBuilder;
import org.hibernate.boot.spi.MetadataImplementor;
import org.hibernate.tool.hbm2ddl.SchemaExport;

import pack.entities.Utilisateur;

public class Start {
	
	public static void main(String[] args) {
		MetadataSources metadata = new MetadataSources(new StandardServiceRegistryBuilder()
				.applySetting("hibernate.dialect", "org.hibernate.dialect.DerbyTenSevenDialect").build());
		metadata.addAnnotatedClass(Utilisateur.class);
		SchemaExport export = new SchemaExport((MetadataImplementor) metadata.buildMetadata());
		export.create(true, false);
		
		
		EntityManager em = EntityManagerFactoryPostgres.createEntityManager();
		em.getTransaction().begin();
		
		Utilisateur u = new Utilisateur();
		u.setNom("the nom");
		u.setPrenom("the pre nom");
		u.setPassword("the pass");
		u.setProfil("the prof");
		u.setPseudo("the pseudo");
		em.persist(u);
		
		em.getTransaction().commit();
		em.close();
		
		EntityManagerFactoryPostgres.close();
		System.out.println("end");
	}
}
