package pack;

import java.util.HashMap;
import java.util.Map;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;


public class EntityManagerFactoryPostgres {

	private static EntityManagerFactory entityManagerFactory;
	
	static {
		Map<String, String> addedProperties = new HashMap<String, String>();
//		addedProperties.put("javax.persistence.jdbc.driver", "org.postgresql.Driver");
//		addedProperties.put("hibernate.dialect", "org.hibernate.dialect.PostgreSQLDialect");
		
		addedProperties.put("javax.persistence.jdbc.url", 
				"jdbc:postgresql://"+
						"192.168.224.2"+":"+
						"5432"+"/"+
						"test");
		addedProperties.put("javax.persistence.jdbc.user", "test");
		addedProperties.put("javax.persistence.jdbc.password", "test");
		addedProperties.put("hibernate.hbm2ddl.auto", "update");
		entityManagerFactory = Persistence.createEntityManagerFactory(
				"PERSISTENCE_UNIT_1",
				addedProperties);
	}
	
	public static EntityManager createEntityManager() {
		return entityManagerFactory.createEntityManager();
	}

	public static void close() {
		entityManagerFactory.close();
	}
	
}
